.recipe {
    &__data {
        display: grid;
        grid-template-columns: 1fr 1fr;
        grid-gap: 16px;

        @media only screen and (max-width: 900px) {
            display: flex;
            flex-direction: column;
            border-radius: 32px 32px 0 0;
            background-color: var(--cloud);
            padding: 16px;
            z-index: 10;
            position: relative;
        }
    }

    &__content {
        @media only screen and (max-width: 900px) {
            padding: 0;
        }
    }

    &__container {
        @media only screen and (max-width: 900px) {
            grid-gap: 0;
            padding: 0;
        }

        ol {
            max-width: 350px;
            counter-reset: my-awesome-counter;
            list-style: none;
            padding-left: 40px;
        }

        ol li {
            margin: 0 0 0.5rem 0;
            counter-increment: my-awesome-counter;
            position: relative;
        }

        li {
            padding-bottom: 25px;

            &:last-of-type{
                padding-bottom: 0;
            }
        }

        ol li::before {
            content: counter(my-awesome-counter);
            color: var(--text-cloud);
            font-size: 14px;
            position: absolute;
            --size: 32px;
            left: calc(-1 * var(--size) - 10px);
            line-height: var(--size);
            width: var(--size);
            height: var(--size);
            top: 0;
            background: var(--raspberry);
            border-radius: 50%;
            text-align: center;
        }
    }

    &__header {
        display: grid;
        grid-auto-flow: column;
        grid-column: 1 / 3;
        grid-gap: 16px;
        align-items: center;

        @media only screen and (max-width: 900px) {
            padding: 16px;
        }
    }

    &__header-title {
        justify-self: flex-start;
        font-size: 20px;
        font-weight: bold;
    }

    &__header-button {
        justify-self: flex-end;
    }

    &__content-left,
    &__content-right {
        display: grid;
        align-content: flex-start;
        grid-auto-flow: row;
        grid-gap: 16px;
    }

    &__content-image {
        height: 350px;

        & > img {
            object-fit: cover;
            width: 100%;
            height: 100%;
            border-radius: 20px;
        }

        @media only screen and (max-width: 900px) {
            display: none;
        }
    }

    &__mobile-image {
        display: none;
        height: 350px;
        border-radius: 20px;

        & > img {
            object-fit: cover;
            width: 100%;
            height: 100%;
        }

        @media only screen and (max-width: 901px) {
            display: block;
            border-radius: none;
            margin-bottom: -30px;
            z-index: 1;
            position: relative;
        }
    }

    &__content-info {
        padding: 16px;
        border-radius: 16px;
        border: 1px solid #efefef;
        position: relative;
        background-color: #fff;
        box-sizing: border-box;
        box-shadow: var(--shadow-large);
        user-select: none;
        display: grid;
        grid-auto-flow: row;
        grid-gap: 16px;

        @media only screen and (max-width: 900px) {
            border: none;
            box-shadow: none;
            border-radius: 0;
            border-bottom: 1px solid var(--smoke);
        }
    }

    &__content-right {
        @media only screen and (max-width: 900px) {
            & > *:last-child {
                border: none;
            }
        }
    }

    &__nutritions-list {
        display: grid;
        grid-auto-flow: row;
        grid-gap: 8px;

        &-item {
            display: grid;
            padding-bottom: 8px;
            grid-auto-flow: column;
            justify-content: space-between;
            border-bottom: 1px solid var(--smoke);
        }

        &-group {
            display: grid;
            grid-auto-flow: row;
            align-self: space-between;
            grid-gap: 8px;

            & > *:not(:last-child) {
                border: none;
            }
        }
    }
}
